###
 # @Author: your name
 # @Date: 2020-07-02 10:34:00
 # @LastEditTime: 2022-02-25 15:01:41
 # @LastEditors: JinxChen
 # @Description: In User Settings Edit
 # @FilePath: \AntpayFrontEnd\setup_development.sh
###
#!/bin/bash
npm -v
npm config set registry https://registry.npm.taobao.org
npm install
npm run build-dev
image_version=`date +%Y%m%d%H%M`;
docker stop antpay_frontend_web || true;
docker rm antpay_frontend_web || true;
# 删除镜像
docker rmi -f $(docker images | grep telpo/antpay_frontend_web | awk '{print $3}')
# 构建telpo/mrp:$image_version镜像
docker build --no-cache . -t telpo/antpay_frontend_web:$image_version;
#删除产生的None镜像
docker rmi -f $(docker images | grep none | awk '{print $3}')
# 查看镜像列表
docker images;
docker run -p 8804:80 -d --restart=always --name antpay_frontend_web telpo/antpay_frontend_web:$image_version;
# 查看日志
docker logs antpay_frontend_web;