/*
 * @Date: 2022-01-19 10:08:26
 * @LastEditors: JinxChen
 * @LastEditTime: 2022-04-12 15:07:40
 * @FilePath: \AntpayFrontEnd\src\main.js
 * @description:
 */
import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import './assets/reset.scss'; //配置全局清除样式
import {
    Button,
    Tab,
    Tabs,
    Image as VanImage,
    Cell,
    CellGroup,
    RadioGroup,
    Radio,
    DropdownMenu,
    DropdownItem,
    Checkbox,
    CheckboxGroup,
    Col,
    Row,
    Dialog,
    Card,
    Form,
    Field,
    Sku,
    Empty,
    Notify,
    Loading,
    Toast,
    Popup,
    Area,
    Cascader,
    Picker,
    NoticeBar,
    Icon,
    ImagePreview,
    Switch,
    Tag,
} from 'vant'; //按需加载vant组件

Vue
    .use(Button)
    .use(Tab)
    .use(VanImage)
    .use(Cell)
    .use(CellGroup)
    .use(RadioGroup)
    .use(Radio)
    .use(DropdownMenu)
    .use(DropdownItem)
    .use(Checkbox)
    .use(CheckboxGroup)
    .use(Col)
    .use(Row)
    .use(Dialog)
    .use(Card)
    .use(Form)
    .use(Field)
    .use(Sku)
    .use(Empty)
    .use(Notify)
    .use(Loading)
    .use(Toast)
    .use(Area)
    .use(Popup)
    .use(Picker)
    .use(Cascader)
    .use(Tag)
    .use(NoticeBar)
    .use(Icon)
    .use(ImagePreview)
    .use(Switch)
    .use(Tabs);

Vue.config.productionTip = false;
Vue.prototype.$bus =  new Vue();
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
